package com.pms.ocp.mapper;

import com.pms.ocp.model.entity.Model;
import com.pms.ocp.model.entity.PropInfo;
import com.pms.ocp.model.vo.ModelAcceptListVo;
import com.pms.ocp.model.vo.ModelAcceptVo;
import com.pms.ocp.model.vo.ModelCheckVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author huxiuwu
 * @version 1.0
 * @date 2022/4/7 16:14
 */
@Mapper
public interface ModelAcceptMapper {
    List<ModelAcceptListVo> modelAcceptList();

    List<ModelAcceptVo> modelAuditDetail(@Param("requirementCode") String requirementCode);

    List<ModelCheckVo> selectModelList();

    List<ModelCheckVo> relationModels(@Param("modelCode") String modelCode);

    List<PropInfo> selectPropList(String modelCode);

    boolean deleteModelVersion(Model model);

    boolean deletePropVersion(Model model);

    boolean deleteRequirementVersion(Model model);

    boolean deleteAcceptVersion(Model model);

    boolean deleteModelRelationProp(Model model);
}
